GET
/api/v1/agents/:entityPublicId/activityAgents_GetPublicAgentActivity
- Authentication
- public
- Cache policy
- none
- Success and errors
- 200, 400, 404, 500, 503
- Stability
- v1 stable contract
OpenAPI operation
{
"operationId": "Agents_GetPublicAgentActivity",
"summary": "Read signed-cursor public agent activity",
"tags": [
"Agents"
],
"parameters": [
{
"name": "entityPublicId",
"in": "path",
"required": true,
"schema": {
"type": "string",
"format": "uuid",
"pattern": "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"
}
},
{
"name": "cursor",
"in": "query",
"required": false,
"schema": {
"type": "string",
"maxLength": 4096
}
},
{
"name": "limit",
"in": "query",
"required": false,
"schema": {
"default": 25,
"type": "integer",
"minimum": 1,
"maximum": 100
}
},
{
"name": "sourceKinds",
"in": "query",
"required": false,
"style": "form",
"explode": true,
"schema": {
"maxItems": 4,
"type": "array",
"items": {
"type": "string",
"enum": [
"DOMAIN_EVENT",
"CHAIN_OBSERVATION",
"PROVIDER_OBSERVATION",
"PRODUCT_EVIDENCE"
]
}
}
},
{
"name": "networks",
"in": "query",
"required": false,
"style": "form",
"explode": true,
"schema": {
"maxItems": 20,
"type": "array",
"items": {
"type": "string",
"minLength": 1,
"maxLength": 100
}
}
},
{
"name": "activityKeys",
"in": "query",
"required": false,
"style": "form",
"explode": true,
"schema": {
"maxItems": 20,
"type": "array",
"items": {
"type": "string",
"minLength": 1,
"maxLength": 150
}
}
}
],
"security": [
{},
{
"apiKeyAuth": []
}
],
"responses": {
"200": {
"description": "Success",
"content": {
"application/json": {
"schema": {
"type": "object",
"properties": {
"data": {
"type": "array",
"items": {
"type": "object",
"properties": {
"publicId": {
"type": "string",
"format": "uuid",
"pattern": "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"
},
"activityKey": {
"type": "string"
},
"eventVersion": {
"type": "integer",
"exclusiveMinimum": 0,
"maximum": 9007199254740991
},
"summary": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
},
"sourceKind": {
"type": "string",
"enum": [
"DOMAIN_EVENT",
"CHAIN_OBSERVATION",
"PROVIDER_OBSERVATION",
"PRODUCT_EVIDENCE"
]
},
"network": {
"anyOf": [
{
"type": "object",
"properties": {
"key": {
"type": "string"
},
"displayName": {
"type": "string"
}
},
"required": [
"key",
"displayName"
],
"additionalProperties": false
},
{
"type": "null"
}
]
},
"transactionReference": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
},
"explorerUrl": {
"anyOf": [
{
"type": "string",
"format": "uri"
},
{
"type": "null"
}
]
},
"evidencePublicId": {
"anyOf": [
{
"type": "string",
"format": "uuid",
"pattern": "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"
},
{
"type": "null"
}
]
},
"occurredAt": {
"type": "string",
"format": "date-time",
"pattern": "^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\\d|30)|(?:02)-(?:0[1-9]|1\\d|2[0-8])))T(?:(?:[01]\\d|2[0-3]):[0-5]\\d(?::[0-5]\\d(?:\\.\\d+)?)?(?:Z))$"
}
},
"required": [
"publicId",
"activityKey",
"eventVersion",
"summary",
"sourceKind",
"network",
"transactionReference",
"explorerUrl",
"evidencePublicId",
"occurredAt"
],
"additionalProperties": false
}
},
"nextCursor": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
},
"meta": {
"type": "object",
"additionalProperties": true,
"required": [
"requestId",
"schemaVersion",
"buildVersion",
"generatedAt",
"freshness"
],
"properties": {
"requestId": {
"type": "string",
"format": "uuid"
},
"schemaVersion": {
"type": "string"
},
"buildVersion": {
"type": "string"
},
"generatedAt": {
"type": "string",
"format": "date-time"
},
"freshness": {
"type": "object",
"additionalProperties": false,
"required": [
"projectedAt",
"sourceWatermark"
],
"properties": {
"projectedAt": {
"type": [
"string",
"null"
],
"format": "date-time"
},
"sourceWatermark": {
"type": [
"string",
"null"
]
}
}
}
}
}
},
"required": [
"data",
"nextCursor",
"meta"
],
"additionalProperties": false
}
}
}
},
"400": {
"description": "invalid request",
"content": {
"application/problem+json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
}
},
"404": {
"description": "not found",
"content": {
"application/problem+json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
}
},
"500": {
"description": "internal error",
"content": {
"application/problem+json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
}
},
"503": {
"description": "dependency unavailable",
"content": {
"application/problem+json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
}
}
},
"x-auth-mode": "public",
"x-cache-policy": "none",
"x-required-scopes": [
"agents:read"
],
"x-rate-cost": 2,
"x-stability": "STABLE"
}